import 'package:flutter/material.dart';
import 'package:imagini/screens/me/components/body.dart';
import 'package:imagini/screens/me/me-bloc.dart';
import 'package:imagini/bloc/bloc-prov.dart';
import 'package:flutter_platform_widgets/flutter_platform_widgets.dart';


class MeScreen extends StatefulWidget {
  @override
  _MeScreenState createState() => _MeScreenState();
}

class _MeScreenState extends State<MeScreen> {
  MeBloc exampleBloc;

  @override
  void initState() {
    super.initState();
    exampleBloc = MeBloc();
  }

  @override
  void dispose() {
    exampleBloc.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      bloc: exampleBloc,
      child: PlatformScaffold(
        appBar: PlatformAppBar(
          title: Text('Mes'),
          cupertino: (_, __) => CupertinoNavigationBarData(
            // Issue with cupertino where a bar with no transparency
            // will push the list down. Adding some alpha value fixes it (in a hacky way)
            backgroundColor: Colors.lightGreen.withAlpha(254),
          ),
        ),
        body: Body(),
      ),
    );
  }
}
