// import 'package:equatable/equatable.dart';
// 
// abstract class LoginState extends Equatable {
//   @override
//   List<Object> get props => [];
// }

abstract class LoginState {}

class LoginInitState extends LoginState {}

class LoginLoading extends LoginState {}

class LoginSuccess extends LoginState {}

class LoginNeeded extends LoginState {}

class LoginFailed extends LoginState {
  final error;
  LoginFailed({this.error});
}

class LoginLoaded extends LoginState {}

class LoginListError extends LoginState {
  final error;
  LoginListError({this.error});
}
