import 'package:flutter/material.dart';

class Body extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        margin: EdgeInsets.fromLTRB(50, 0, 50, 0),
        height: 500,
        child: Column(
          children: <Widget>[
            Container(
              child: FittedBox(
                fit: BoxFit.contain,
                child: const FlutterLogo(),
              ),
              width: 175,
              margin: EdgeInsets.fromLTRB(0, 0, 0, 50),
            ),
            Expanded(
              child: TextField(
                decoration: InputDecoration(
                  labelText: 'Server Address'
                ),
              ),
            ),
            Expanded(
              child: TextField(
                decoration: InputDecoration(
                  labelText: 'Username / Email'
                ),
              ),
            ),
            Expanded(
              child: TextField(
                obscureText: true,
                enableSuggestions: false,
                autocorrect: false,
                decoration: InputDecoration(
                  labelText: 'Password'
                ),
              ),
            ),
            SizedBox(
              width: double.infinity,
              height: 50,
              child: RaisedButton(
                onPressed: () {
                  Navigator.pushNamed(context, '/Gallery');
                },
                child: Text('Login')
              ),
            ),
          ],
        ),
      ),
    );
  }
}
