import 'package:flutter/material.dart';
import 'package:imagini/screens/login/components/body.dart';
import 'package:imagini/screens/login/login-bloc.dart';
import 'package:imagini/bloc/bloc-prov.dart';

class LoginScreen extends StatefulWidget {
  @override
  _LoginScreenState createState() => _LoginScreenState();
}

class _LoginScreenState extends State<LoginScreen> {
  LoginBloc loginBloc;

  @override
  void initState() {
    super.initState();
    loginBloc = LoginBloc();
  }

  @override
  void dispose() {
    loginBloc.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return BlocProvider(
      bloc: LoginBloc(),
      child: Scaffold(
        // appBar: AppBar(
        //   title: Text("Login"),
        // ),
        body: Body(),
      ),
    );
  }
}
